Hi guys,
is it possible to connect 10/20 polylines at the same time? the multiple command exists, but every time I have to select polyline. thank you
Solved! Go to Solution.
Hi guys,
is it possible to connect 10/20 polylines at the same time? the multiple command exists, but every time I have to select polyline. thank you
Solved! Go to Solution.
Solved by pbejse. Go to Solution.
@alvi_90 wrote:
Hi guys,
is it possible to connect 10/20 polylines at the same time? the multiple command exists, but every time I have to select polyline. thank you
(defun c:demo (/ rad r ss i e)
(setq rad (getvar "FILLETRAD"))
(if (and
(setq r (getdist (strcat "\nEnter Radius " (rtos rad) ": ")))
(setq ss (ssget '((0 . "LWPOLYLINE,POLYLINE"))))
)
(progn
(setvar "FILLETRAD" r)
(repeat (setq i (sslength ss))
(setq e (ssname ss (setq i (1- i))))
(command "_FILLET" "P" e)
)
)
)
(princ)
)
HTH
@alvi_90 wrote:
Hi guys,
is it possible to connect 10/20 polylines at the same time? the multiple command exists, but every time I have to select polyline. thank you
(defun c:demo (/ rad r ss i e)
(setq rad (getvar "FILLETRAD"))
(if (and
(setq r (getdist (strcat "\nEnter Radius " (rtos rad) ": ")))
(setq ss (ssget '((0 . "LWPOLYLINE,POLYLINE"))))
)
(progn
(setvar "FILLETRAD" r)
(repeat (setq i (sslength ss))
(setq e (ssname ss (setq i (1- i))))
(command "_FILLET" "P" e)
)
)
)
(princ)
)
HTH
Can't find what you're looking for? Ask the community or share your knowledge.